> ## Documentation Index
> Fetch the complete documentation index at: https://docs.imprint.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an API Key

> Deletes an existing API Key



## OpenAPI

````yaml /api-reference/openapi.yaml delete /v2/keys
openapi: 3.1.0
info:
  title: Public Imprint API
  version: '2.0'
servers:
  - url: https://dev.sbx.imprint.co
    description: Imprint public api sandbox
security:
  - basicAuth: []
  - bearerAuth: []
paths:
  /v2/keys:
    delete:
      tags:
        - Keys
      summary: Delete an API Key
      description: Deletes an existing API Key
      operationId: deleteKey
      responses:
        '200':
          description: API Key deleted successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Key'
        '401':
          description: Unauthorized
components:
  schemas:
    Key:
      type: object
      description: Represents an API Key
      properties:
        key:
          type: string
          description: API Key value
          example: test_
        created_at:
          type: string
          description: the RFC-3339 date when the key was created
          example: '2025-02-13T19:08:07.000Z'
        deleted_at:
          type: string
          description: the RFC-3339 date when the key was deleted
          example: '2025-02-13T19:08:07.000Z'
  securitySchemes:
    bearerAuth:
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication. Allowed headers-- Authorization: Bearer
        <api_key>
      scheme: bearer
      type: http

````